Welcome aboard Visitor...

Daily Screenshot

Server Costs Target


44% of target met.

Latest Topics

- Holly Cow Its alive!! »
- Suggestions »
- Kluth AI Spawn Balance. »
- ICC PD »
- Re: Ich verabschiede mich »
- Make DarkSpace Great Again »
- 1.730 »
- Never forgot »
- 'Turbo DS' anyone? »
- Was geht ab ? »

Development Blog

- Roadmap »
- Hello strangers, it’s been a while... »
- State of DarkSpace Development »
- Potential planetary interdictor changes! »
- The Silent Cartographer »
- Cloaking update... »
- Tools for tips »
- Fleet levels and more! »
- Game Mechanics Question and Answer Thread »
- Under Construction »

Combat Kills

Combat kills in last 24 hours:
Kills chart
Killboard

Upcoming Events

- Weekly DarkSpace
10/20/18 +5.4 Days
- Towel Day
05/25/19 +221.7 Days
- International Talk like a Pirate Day!
09/19/19 +338.7 Days

Search

 

Anniversaries

No anniversaries today.

Facebook & Twitter

Why not follow us on Twitter or Facebook for more information and fan updates?

[FAQ
Forum Index » » English (General) » » Login crash notification
Goto page ( 1 | 2 Next Page )
 Author Login crash notification
Pantheon
Marshal
Palestar


Joined: May 29, 2001
Posts: 1730
Posted: 2018-01-14 18:30   
Apologies for the issues regarding login at the moment. Somehow a beta build has snuck onto release (not intended at all), and is causing some issues.

I'm working on getting this rectified, but may take some time.

As a workaround, you can do the following:

Download the installer.
Move the contents of your \\GameCQ\\.Cache directory to a safe place.
Reinstall DarkSpace.
Copy the .Cache folder back into the GameCQ folder and select yes to replacing all files.
When you go to launch GCQL, cancel the update when it starts.

You will need to do this until an update is pushed to the server, but someone should reply here when it is safe and sound to let an update go through.

Apologies again. Not quite sure how this happened (possibility of the project being moved over to Visual Studio 2017 from 2005).
[ This Message was edited by: Pantheon on 2018-01-14 20:07 ]
_________________


BLADERUNNER2019
Chief Marshal
Ravenous Wolfpack Clan


Joined: December 18, 2010
Posts: 122
Posted: 2018-01-16 04:29   
Thanks for the step by step...I got it working
Cheers,
Blade
_________________


Bluejay
Fleet Admiral
Fatal Squadron


Joined: March 29, 2014
Posts: 12
From: P301: Midas (Beta Pictoris b)
Posted: 2018-01-16 20:09   
il just wait untill its fixd to play all this workaround bs i dont do, il find a way to mess tha tup to il just do a clean install when its fixd.

_________________
Ad verum ducit, Adsumus custodies pacis. *(Conductive to truth, I assume custody of peace.)*

Pantheon
Marshal
Palestar


Joined: May 29, 2001
Posts: 1730
Posted: 2018-01-19 19:17   
This has been fixed with an update now, feel free to revert installs to normal regarding SelfUpdate.exe, so it can pull the fixed files down.
_________________


Mr.Covfefe
Marshal

Joined: September 11, 2017
Posts: 6
From: 2 has got the lead on the left
Posted: 2018-01-22 20:32   
I take it this update moves us from 32-bit to 64-bit, or is it still possible to run this on WinXP? If we've gone 64-bit, I'll stop trying to make this thing run on a toaster.
_________________
We, who have done without for so long, are now overqualified to do everything with absolutely nothing.

BackSlash
Marshal
Galactic Navy


Joined: March 23, 2003
Posts: 11178
From: Bristol, England
Posted: 2018-01-23 03:46   
Quote:
On 2018-01-22 20:32, Mr.Covfefe wrote:
I take it this update moves us from 32-bit to 64-bit, or is it still possible to run this on WinXP? If we've gone 64-bit, I'll stop trying to make this thing run on a toaster.




Nothing has moved to 64-bit, we've only migrated the project to VS2017, although I'm not sure what that entails for Windows XP users honestly.
_________________


  Goto the website of BackSlash
Mr.Covfefe
Marshal

Joined: September 11, 2017
Posts: 6
From: 2 has got the lead on the left
Posted: 2018-01-23 20:32   
Ok, if we're 32-bit, then there's potentially a .NET framework thing going on if I read these properly. VS 2017 compatibility .NET framework multi-targeting. Whatever that means.

I have no idea what's causing a "not a 32-bit application" error. I've installed the 2017 redistributable, re-installed for 2005, and I'm not really sure how to check for .NET framework dependencies.
[ This Message was edited by: Mr.Covfefe on 2018-01-23 20:36 ]
_________________
We, who have done without for so long, are now overqualified to do everything with absolutely nothing.

Za'her
Marshal
Native

Joined: February 04, 2011
Posts: 7
From: Syria
Posted: 2018-01-24 11:30   
I have this problem with projects that built using VC2017, not just Darkspace, it gave me error not valid win32, but it is win32.

I think it needs to some changed in project properties for targeting in Visual Studio

https://stackoverflow.com/questions/36314217/is-not-a-valid-win32-application-on-windows-xp

https://stackoverflow.com/questions/34488549/targetting-windows-xp-from-visual-studio-2015-enterprise-update-1


_________________
Lonely Alien in a deep space

  Email Za'her   Goto the website of Za'her
BlackYoup
Grand Admiral

Joined: December 31, 2009
Posts: 32
From: Nantes - France
Posted: 2018-01-24 14:32   
Quote:
On 2018-01-23 20:32, Mr.Covfefe wrote:
"not a 32-bit application"



That would make sense if the Windows SDK used to compile the game is only backward compatible until Windows 7, not including Windows XP.

Now, the question is: are we willing to support End Of Life operating systems almost 3 years after they have been announced as such ? IMHO, we shouldn't.

I guess there are a few reasons about why you're keeping this system ?
_________________


BackSlash
Marshal
Galactic Navy


Joined: March 23, 2003
Posts: 11178
From: Bristol, England
Posted: 2018-01-24 17:30   
There might be some issues with backwards compatibility regarding Windows 10 SDK, Visual Studio 2017 and Windows XP sadly. I don't even think it gives you the option to support XP, as W10 SDK works on 7, 8.1 and 10.

Unfortunately, I don't think anyone would be willing to go back on this move, as it ultimately ensures people can work on the game.

Sadly, this may mean EOL for DarkSpace on Windows XP.
_________________


  Goto the website of BackSlash
Mr.Covfefe
Marshal

Joined: September 11, 2017
Posts: 6
From: 2 has got the lead on the left
Posted: 2018-01-24 19:56   
Quote:
On 2018-01-24 17:30, BackSlash wrote:
...Windows 10 SDK...



There it is! The new minimum is Win 7. I keep WinXP going for other old games that haven't quite died yet. As for the decision to move in this direction, it's good to see it moving forward. I hope the modernization makes it easier to get a larger target... er... player base.
_________________
We, who have done without for so long, are now overqualified to do everything with absolutely nothing.

BlackYoup
Grand Admiral

Joined: December 31, 2009
Posts: 32
From: Nantes - France
Posted: 2018-01-25 13:18   
It will at least allow us to use recent tools. Hopefully this will lead to some new features / bug fixes and bring back more players
_________________


*Flash*
Chief Marshal
*Renegade Space Marines*


Joined: April 19, 2009
Posts: 283
From: Semi retired after 1.67 !
Posted: 2018-02-04 11:18   
its been a while and the game aint fixed ! we know how to do it but if someone new tries the game be sure he wount be here asking questions.

[ This Message was edited by: *Flash* on 2018-02-04 11:19 ]
_________________

In space , no one can hear you scream!


  Email *Flash*
Pantheon
Marshal
Palestar


Joined: May 29, 2001
Posts: 1730
Posted: 2018-02-07 06:20   
This was fixed a few weeks ago. GCQL should auto-update to the latest version and correctly login.
[ This Message was edited by: Pantheon on 2018-02-07 06:20 ]
_________________


*Flash*
Chief Marshal
*Renegade Space Marines*


Joined: April 19, 2009
Posts: 283
From: Semi retired after 1.67 !
Posted: 2018-02-07 16:53   
I will post here in the next days the errors that i receive. I downloaded the game and a few mirrors didnt work for me atleast then did all the updates and failed to launch. Second try i deleted the cache as you guys said below and it worked . Updated the game and then it disnt launch it. I will try again and post here the errors...
_________________

In space , no one can hear you scream!


  Email *Flash*
Goto page ( 1 | 2 Next Page )
Powered by phpBB® Forum Software © phpBB Group
Page created in 0.012469 seconds.


Copyright © 2000 - 2018 Palestar Inc. All rights reserved worldwide.
Terms of use - DarkSpace is a Registered Trademark of PALESTAR